org.opencv.video

## Class KalmanFilter

- java.lang.Object
- - org.opencv.video.KalmanFilter

-     public class KalmanFilter
      extends Object

  Kalman filter class. The class implements a standard Kalman filter <http://en.wikipedia.org/wiki/Kalman_filter>, CITE: Welch95 . However, you can modify transitionMatrix, controlMatrix, and measurementMatrix to get an extended Kalman filter functionality. Note: In C API when CvKalman\* kalmanFilter structure is not needed anymore, it should be released with cvReleaseKalman(&kalmanFilter)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `KalmanFilter()`
    `` | `KalmanFilter(int dynamParams, int measureParams)`
    `` | `KalmanFilter(int dynamParams, int measureParams, int controlParams)`
    `` | `KalmanFilter(int dynamParams, int measureParams, int controlParams, int type)`
    `protected` | `KalmanFilter(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KalmanFilter` | `__fromPtr__(long addr)`
    `Mat` | `correct(Mat measurement)` Updates the predicted state from the measurement.
    `protected void` | `finalize()`
    `Mat` | `get_controlMatrix()`
    `Mat` | `get_errorCovPost()`
    `Mat` | `get_errorCovPre()`
    `Mat` | `get_gain()`
    `Mat` | `get_measurementMatrix()`
    `Mat` | `get_measurementNoiseCov()`
    `Mat` | `get_processNoiseCov()`
    `Mat` | `get_statePost()`
    `Mat` | `get_statePre()`
    `Mat` | `get_transitionMatrix()`
    `long` | `getNativeObjAddr()`
    `Mat` | `predict()` Computes a predicted state.
    `Mat` | `predict(Mat control)` Computes a predicted state.
    `void` | `set_controlMatrix(Mat controlMatrix)`
    `void` | `set_errorCovPost(Mat errorCovPost)`
    `void` | `set_errorCovPre(Mat errorCovPre)`
    `void` | `set_gain(Mat gain)`
    `void` | `set_measurementMatrix(Mat measurementMatrix)`
    `void` | `set_measurementNoiseCov(Mat measurementNoiseCov)`
    `void` | `set_processNoiseCov(Mat processNoiseCov)`
    `void` | `set_statePost(Mat statePost)`
    `void` | `set_statePre(Mat statePre)`
    `void` | `set_transitionMatrix(Mat transitionMatrix)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### KalmanFilter

          protected KalmanFilter(long addr)

    - #### KalmanFilter

          public KalmanFilter(int dynamParams,
                              int measureParams,
                              int controlParams,
                              int type)

      Parameters:
        `dynamParams` - Dimensionality of the state.
        `measureParams` - Dimensionality of the measurement.
        `controlParams` - Dimensionality of the control vector.
        `type` - Type of the created matrices that should be CV_32F or CV_64F.

    - #### KalmanFilter

          public KalmanFilter(int dynamParams,
                              int measureParams,
                              int controlParams)

      Parameters:
        `dynamParams` - Dimensionality of the state.
        `measureParams` - Dimensionality of the measurement.
        `controlParams` - Dimensionality of the control vector.

    - #### KalmanFilter

          public KalmanFilter(int dynamParams,
                              int measureParams)

      Parameters:
        `dynamParams` - Dimensionality of the state.
        `measureParams` - Dimensionality of the measurement.

    - #### KalmanFilter

          public KalmanFilter()

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static KalmanFilter __fromPtr__(long addr)

    - #### correct

          public Mat correct(Mat measurement)

      Updates the predicted state from the measurement.
      Parameters:
        `measurement` - The measured system parameters
      Returns:
        automatically generated

    - #### predict

          public Mat predict(Mat control)

      Computes a predicted state.
      Parameters:
        `control` - The optional input control
      Returns:
        automatically generated

    - #### predict

          public Mat predict()

      Computes a predicted state.
      Returns:
        automatically generated

    - #### get_statePre

          public Mat get_statePre()

    - #### set_statePre

          public void set_statePre(Mat statePre)

    - #### get_statePost

          public Mat get_statePost()

    - #### set_statePost

          public void set_statePost(Mat statePost)

    - #### get_transitionMatrix

          public Mat get_transitionMatrix()

    - #### set_transitionMatrix

          public void set_transitionMatrix(Mat transitionMatrix)

    - #### get_controlMatrix

          public Mat get_controlMatrix()

    - #### set_controlMatrix

          public void set_controlMatrix(Mat controlMatrix)

    - #### get_measurementMatrix

          public Mat get_measurementMatrix()

    - #### set_measurementMatrix

          public void set_measurementMatrix(Mat measurementMatrix)

    - #### get_processNoiseCov

          public Mat get_processNoiseCov()

    - #### set_processNoiseCov

          public void set_processNoiseCov(Mat processNoiseCov)

    - #### get_measurementNoiseCov

          public Mat get_measurementNoiseCov()

    - #### set_measurementNoiseCov

          public void set_measurementNoiseCov(Mat measurementNoiseCov)

    - #### get_errorCovPre

          public Mat get_errorCovPre()

    - #### set_errorCovPre

          public void set_errorCovPre(Mat errorCovPre)

    - #### get_gain

          public Mat get_gain()

    - #### set_gain

          public void set_gain(Mat gain)

    - #### get_errorCovPost

          public Mat get_errorCovPost()

    - #### set_errorCovPost

          public void set_errorCovPost(Mat errorCovPost)

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Object`
      Throws:
        `Throwable`

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8